## Documentation de la biliothèque MED-fichier V2.3 : Guide de référence - Module "MED_Maillage".

Sommaire de la page
- - Liste des routines Accès direct par le nom Interface C
    MEDdimLire MEDdimEspaceCr MEDdimEspaceLire MEDmaaCr MEDmaaInfo | MEDnatureGrilleEcr MEDnatureGrilleLire MEDnbnoisEcr MEDnbnoisLire MEDnbnomaEcr | MEDnbnomaLire MEDnbnosoEcr MEDnbnosoLire MEDnMaa MEDunvCr MEDunvLire
  - Interface FORTRAN
    efdiml efespc efespl efmaac efmaai | efnage efnagl efnnie efnisl efnnme | efnnml efnnse efnnsl efnmaa efunvc efunvl
- Accès thématique
  Création d'un maillage Interface C : MEDmaaCr Interface FORTRAN : efmaac Lecture du nombre de maillages Interface C : MEDnMaa Interface FORTRAN : efnmaa Lecture de la dimension d'un maillage Interface C : MEDdimLire Interface FORTRAN : efdiml Lecture des informations d'un maillage Interface C : MEDmaaInfo Interface FORTRAN : efmaai Ecriture de la dimension de l'espace de calcul Interface C : MEDdimEspaceCr Interface FORTRAN : efespc Lecture de la dimension de l'espace de calcul Interface C : MEDdimEspaceLire Interface FORTRAN : efespl Ecriture de la nature d'un gille Interface C : MEDnatureGrilleEcr Interface FORTRAN : efnage Lecture de la nature d'une grille Interface C : MEDnatureGrilleLire Interface FORTRAN : efnagl | Création du nom universel Interface C : MEDunvCr Interface FORTRAN : efunvc Lecture du nom universel Interface C : MEDunvLire Interface FORTRAN : efunvl Ecriture du nombre de noeuds sommets Interface C : MEDnbnosoEcr Interface FORTRAN : efnnse Lecture du nombre de noeuds sommets Interface C : MEDnbnosoLire Interface FORTRAN : efnnsl Ecriture du nombre de noeuds isolés Interface C : MEDnbnoisEcr Interface FORTRAN : efnnie Lecture du nombre de noeuds isolés Interface C : MEDnbnoisLire Interface FORTRAN : efnisl Ecriture du nombre de noeuds maximum d'une maille Interface C : MEDnbnomaEcr Interface FORTRAN : efnnme Lecture du nombre de noeuds maximum par maille Interface C : MEDnbnomaLire Interface FORTRAN : efnnml

Retour à la page de garde du guide de référence.

# Liste des routines

Les routines disponibles permettent de :

- Créer un maillage (nom, dimension, type).
- Ecrire la dimension de l'espace du domaine de calcul (NOUVELLE FONCTIONNALITE).
- Ecrire le type de grille d'un maillage structuré (grille cartésienne, polaire) - (NOUVELLE FONCTIONNALITE).
- Lire le nombre de maillage dans un fichier.
- Lire la dimension d'un maillage.
- Lire le nom la dimension et le type d'un maillage.
- Lire le type de grille d'un maillage structuré (grille cartésienne, polaire) - (NOUVELLE FONCTIONNALITE).
- Lire la dimension de l'espace du domaine de calcul (NOUVELLE FONCTIONNALITE).
- Ecrire/lire un nom universel (unique généré automatiquement) associé à un maillage.
- Ecrire/lire des attributs optionnels que l'on peut associer à un maillage non structuré :
  - Nombre de noeuds sommets.
  - Nombre de noeuds isolés.
  - Nombre de noeuds maximum par maille.

# Création d'un maillage

### Interface C

- Nom : MEDmaaCr
- Signature :

      med_err
      MEDmaaCr(med_idt fid, char *maillage, med_int dim,med_maillage type, char *desc)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage à créer.
  - dim (IN) : dimension du maillage à créer.
  - type (IN) : type du maillage :
    - MED_NON_STRUCTURE : maillage non structuré.
    - MED_STRUCTURE : maillage structuré.
  - desc (IN) : description associée au maillage.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efmaac
- Signature :

      subroutine efmaac ( fid , nom , dim , type, desc, cret )
            character *(*) nom
            character *(*) desc
            integer fid, dim, type, cret

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - nom (IN) : nom du maillage à créer.
  - dim (IN) : dimension du maillage à créer.
  - type (IN) : type du maillage :
    - MED_NON_STRUCTURE : maillage non structuré.
    - MED_STRUCTURE : maillage structuré.
  - desc (IN) : description associée au maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon .

### Description

Création d'un maillage dans un fichier MED dont on connait le nom, la dimension et le type (structuré ou non structuré).

### Remarques

- Si un maillage du même nom existe, la routine renvoie une erreur.
- Le nom d'un maillage est un chaîne de MED_TAILLE_NOM caractères en Fortran (au plus MED_TAILLE_NOM en C).
- La description associée au maillage est une chaîne de MED_TAILLE_DESC (200) caractères.

# Lecture du nombre de maillages dans un fichier

### Interface C

- Nom : MEDnMaa
- Signature :

      med_int
      MEDnMaa(med_idt fid)

- Paramètres :
  - fid (IN) : identificateur du fichier.
- Code retourné : nombre de maillages si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnmaa
- Signature :

      subroutine efnmaa( fid , n , cret)
            integer fid, n, cret

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - n (OUT) : nombre de maillages.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Cette routine renvoie le nombre de maillage (éventuellement 0) contenu dans le fichier MED dont le descripteur est passé en paramètre.

### Remarques

Un fichier MED peut contenir plusieurs maillages de noms différents.

# Lecture de la dimension d'un maillage

### Interface C

- Nom : MEDdimLire
- Signature :

      med_int
      MEDdimLire(med_idt fid, char *maillage)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage
- Code retourné : dimension du maillage si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efdiml
- Signature :

      subroutine efdiml( fid , maa, dim, cret)
            integer fid,dim,cret
            character *(*) maa

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - dim (OUT) : dimension du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture de la dimension du maillage dont le nom est passé en paramètre.

### Remarques

La valeur retournée vaut 1,2 ou 3.

# Lecture des informations d'un maillage

### Interface C

- Nom : MEDmaaInfo
- Signature :

      med_err
      MEDmaaInfo(med_idt fid, int indice, char *maillage, med_int *dim,
                 med_maillage *type, char *desc)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - indice (IN) : numéro d'indice du maillage dans le fichier MED.
  - maillage (OUT) : nom du maillage correspondant à l'indice.
  - dim (OUT) : dimension du maillage correspondant à l'indice.
  - type (OUT) : type du maillage :
    - MED_NON_STRUCTURE : maillage non structuré.
    - MED_STRUCTURE : maillage structuré.
  - desc (OUT) : description associée au maillage.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efmaai
- Signature :

      subroutine efmaai( fid , indice , maa , dim , type, desc, cret)
            integer fid,dim,cret,indice,type
            character *(*) maa
            character *(*) desc

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - indice (IN) : numéro d'indice dans le maillage.
  - maa (OUT) : nom du maillage correspondant à l'indice.
  - dim (OUT) : dimension du maillage correspondant à l'indice.
  - type (OUT) : type du maillage :
    - MED_NON_STRUCTURE : maillage non structuré.
    - MED_STRUCTURE : maillage structuré.
  - desc (OUT) : description associée au maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Cette routine lit les attributs de base obligatoirement associés à un maillage i.e. :

- Le nom.
- La dimension.
- Le type (structuré ou non structuré).
- La description associée.

### Remarques

- Pour un fichier contenant N maillages, les numéros d'indice vont de 1 à N.
- Les maillages d'un fichier sont classés selon l'ordre alphabétique des noms des différents maillages et non selon l'ordre chronologique de création.

# Ecriture de la dimension de l'espace de calcul

### Interface C

- Nom : MEDdimEspaceCr
- Signature :

      med_err
      MEDdimEspaceCr(med_idt fid, char *maillage, med_int dim)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage
  - dim (IN) : dimension de l'espace du domaine de calcul.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efespc
- Signature :

      subroutine efespc( fid , maa, dim, cret)
            integer fid,dim,cret
            character *(*) maa

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - dim (IN) : dimension de l'espace du domaine de calcul.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Ecriture de la dimension de l'espace du domaine de calcul associé au maillage.

### Remarques

- Apport fonctionnel de MED-fichier V2.2 : L'écriture de la dimension de l'espace de calcul permet de distinguer cette dimension de celle du maillage. On peut avoir un maillage de dimension 2 dans un espace de dimension 3.
- L'écriture de la dimension de l'espace de calcul est optionnelle en particulier si elle est égale à celle du maillage.

# Lecture de la dimension de l'espace de calcul

### Interface C

- Nom : MEDdimEspaceLire
- Signature :

      med_int
      MEDdimEspaceLire(med_idt fid, char *maillage)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage
- Code retourné : dimension de l'espace du domaine de calcul si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efespl
- Signature :

      subroutine efespl( fid , maa, dim, cret)
            integer fid,dim,cret
            character *(*) maa

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - dim (OUT) : dimension de l'espace du domaine de calcul.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture de la dimension de l'espace du domaine de calcul associé au maillage.

### Remarques

- Apport fonctionnel de MED-fichier V2.2 : La dimension de l'espace de calcul permet de distinguer cette dimension de celle du maillage. On peut avoir un maillage de dimension 2 dans un espace de dimension 3.
- La présence de la dimension de l'espace de calcul est optionnelle en particulier si elle est égale à celle du maillage.

# Ecriture de la nature d'une grille

### Interface C

- Nom : MEDnatureGrilleEcr
- Signature :

      med_err
      MEDnatureGrilleEcr(med_idt fid, char *maillage,med_type_grille type)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage.
  - type (IN) : type de la grille :
    - MED_GRILLE_CARTESIENNE : grille cartésienne.
    - MED_GRILLE_POLAIRE : grille polaire.
    - MED_GRILLE_STANDARD : grille standard.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnage
- Signature :

      subroutine efnage( fid,maa,type,cret)
            integer fid,type,cret
            character *(*) maa

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - type (IN) : type de la grille :
    - MED_GRILLE_CARTESIENNE : grille cartésienne.
    - MED_GRILLE_POLAIRE : grille polaire.
    - MED_GRILLE_STANDARD : grille standard.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Ecriture du type d'une grille (maillage structuré).

### Remarques

- Apport fonctionnel de MED-fichier V2.2 : Typage des maillages structurés.

# Lecture de la nature d'une grille

### Interface C

- Nom : MEDnatureGrilleLire
- Signature :

      med_err
      MEDnatureGrilleLire(med_idt fid, char *maillage,med_type_grille *type)

- Paramètres :
  - fid (IN) : identificateur du fichier.
  - maillage (IN) : nom du maillage.
  - type (OUT) : type de la grille :
    - MED_GRILLE_CARTESIENNE : grille cartésienne.
    - MED_GRILLE_POLAIRE : grille polaire.
    - MED_GRILLE_STANDARD : grille standard.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnagl
- Signature :

      subroutine efnagl( fid,maa,type,cret)
            integer fid,type,cret
            character *(*) maa

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom du maillage.
  - type (OUT) : type de la grille :
    - MED_GRILLE_CARTESIENNE : grille cartésienne.
    - MED_GRILLE_POLAIRE : grille polaire.
    - MED_GRILLE_STANDARD : grille standard.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture du type d'une grille (maillage structuré).

### Remarques

- Apport fonctionnel de MED-fichier V2.2 : Typage des maillages structurés.

# Ecriture du nom universel

### Interface C

- Nom : MEDunvCr
- Signature :

      med_err
      MEDunvCr(med_idt fid, char *maa)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom utilisateur du maillage.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efunvc
- Signature :

      subroutine efunvc ( fid , maa , cret )
            character *(*) maa
            integer fid, cret

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom utilisateur du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Crée un nom de maillage universel (unique) de manière automatique dans le fichier MED.

### Remarques

- La définition du nom universel par la routine est transparente à l'utilisateur.
- L'écriture du nom universel pour un maillage MED est optionnelle.

# Lecture du nom universel

### Interface C

- Nom : MEDunvLire
- Signature :

      med_err
      MEDunvLire(med_idt fid, char *maa,char *nomu)

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom utilisateur du maillage.
  - nomu (OUT) : nom universel.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efunvl
- Signature :

      subroutine efunvl( fid , nom , nomu , cret)
            integer fid,cret
            character *(*) nom,nomu

- Paramètres :
  - fid (IN) : descripteur du fichier.
  - maa (IN) : nom utilisateur du maillage.
  - nomu (OUT) : nom universel retourné.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture du nom universel qui correspond à une chaîne de MED_TAILLE_LNOM (80) caractères.

### Remarques

- L'écriture et la lecture du nom universel d'un maillage MED est optionelle.

# Ecriture du nombre de noeuds sommets

### Interface C

- Nom : MEDnbnosoEcr
- Signature :

      med_err
      MEDnbnosoEcr(med_idt fid, char *maa,med_int n)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds sommets du maillage.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnnse
- Signature :

      subroutine efnnse (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds sommets du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Ecriture de l'attribut de maillage "nombre de noeuds sommets".

### Remarques

L'écriture de cet attribut est optionnelle.

# Lecture du nombre de noeuds sommets

### Interface C

- Nom : MEDnbnosoLire
- Signature :

      med_int
      MEDnbnosoLire(med_idt fid, char *maa)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
- Code retourné : nombre de noeuds sommets si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnnsl
- Signature :

      subroutine efnnsl (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (OUT) : nombre de noeuds sommets du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture de l'attribut de maillage "nombre de noeuds sommets".

### Remarques

La présence de cet attribut est optionnelle.

# Ecriture du nombre de noeuds isolés

### Interface C

- Nom : MEDnbnoisEcr
- Signature :

      med_err
      MEDnbnoisEcr(med_idt fid, char *maa,med_int n)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds isolés du maillage.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnnie
- Signature :

      subroutine efnnie (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds isolés du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Ecriture de l'attribut de maillage "nombre de noeuds isolés".

### Remarques

L'écriture de cet attribut est optionnelle.

# Lecture du nombre de noeuds isolés

### Interface C

- Nom : MEDnbnoisLire
- Signature :

      med_int
      MEDnbnoisLire(med_idt fid, char *maa)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
- Code retourné : nombre de noeuds isolés si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnisl
- Signature :

      subroutine efnisl (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (OUT) : nombre de noeuds isolés du maillage.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture de l'attribut de maillage "nombre de noeuds isolés".

### Remarques

La présence de cet attribut est optionnelle.

# Ecriture du nombre de noeuds maximum d'une maille

### Interface C

- Nom : MEDnbnomaEcr
- Signature :

      med_err
      MEDnbnomaEcr(med_idt fid, char *maa,med_int n)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds maximum d'une maille.
- Code retourné : 0 si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnnme
- Signature :

      subroutine efnnme (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (IN) : nombre de noeuds maximum d'une maille.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Ecriture de l'attribut de maillage "nombre de noeuds maximum par maille".

### Remarques

L'écriture de cet attribut est optionnelle.

# Lecture du nombre de noeuds maximum par maille

### Interface C

- Nom : MEDnbnomaLire
- Signature :

      med_int
      MEDnbnomaLire(med_idt fid, char *maa)

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
- Code retourné : nombre de noeuds maximum par maille si réussite, -1 sinon.

### Interface FORTRAN

- Nom : efnnml
- Signature :

      subroutine efnnml (fid,maa,n,cret)
            integer fid,n,cret
            character*(*) maa

- Paramètres :
  - fid (IN) : le descripteur de fichier.
  - maa (IN) : nom du maillage.
  - n (OUT) : nombre de noeuds maximum par maille.
  - cret (OUT) : code retour, 0 si réussite, -1 sinon.

### Description

Lecture de l'attribut de maillage "nombre de noeuds maximum par maille".

### Remarques

La présence de cet attribut est optionnelle.